/// <reference types="node" />
/// <reference types="q" />
import events = require("events");
import q = require("q");
import { SpawnArguments } from "./pact-util";
export declare class Server extends events.EventEmitter {
    static readonly Events: {
        START_EVENT: string;
        STOP_EVENT: string;
        DELETE_EVENT: string;
    };
    static create(options?: ServerOptions): Server;
    readonly options: ServerOptions;
    private __running;
    private __instance;
    private readonly __argMapping;
    constructor(options: ServerOptions);
    start(): q.Promise<Server>;
    stop(): q.Promise<Server>;
    delete(): q.Promise<Server>;
    private __waitForServerUp();
    private __waitForServerDown();
    private __call(options);
}
declare const _default: typeof Server.create;
export default _default;
export interface ServerOptions extends SpawnArguments {
    port?: number;
    ssl?: boolean;
    cors?: boolean;
    dir?: string;
    host?: string;
    sslcert?: string;
    sslkey?: string;
    log?: string;
    spec?: number;
    consumer?: string;
    provider?: string;
}
